## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
# * test files and git repository data are not shipped with published crates
%bcond_with check
%global debug_package %{nil}

%global crate vergen

Name:           rust-vergen5
Version:        5.1.17
Release:        %autorelease
Summary:        Generate cargo:rustc-env instructions for use with env!

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/vergen
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump git2 dependency to 0.18
Patch:          vergen-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Generate 'cargo:rustc-env' instructions via 'build.rs' for use in your
code via the env! macro.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+build-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+build-devel %{_description}

This package contains library source intended for building other packages which
use the "build" feature of the "%{crate}" crate.

%files       -n %{name}+build-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cargo-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cargo-devel %{_description}

This package contains library source intended for building other packages which
use the "cargo" feature of the "%{crate}" crate.

%files       -n %{name}+cargo-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+chrono-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+chrono-devel %{_description}

This package contains library source intended for building other packages which
use the "chrono" feature of the "%{crate}" crate.

%files       -n %{name}+chrono-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+git-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git-devel %{_description}

This package contains library source intended for building other packages which
use the "git" feature of the "%{crate}" crate.

%files       -n %{name}+git-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+git2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git2-devel %{_description}

This package contains library source intended for building other packages which
use the "git2" feature of the "%{crate}" crate.

%files       -n %{name}+git2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc-devel %{_description}

This package contains library source intended for building other packages which
use the "rustc" feature of the "%{crate}" crate.

%files       -n %{name}+rustc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustc_version-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc_version-devel %{_description}

This package contains library source intended for building other packages which
use the "rustc_version" feature of the "%{crate}" crate.

%files       -n %{name}+rustc_version-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+si-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+si-devel %{_description}

This package contains library source intended for building other packages which
use the "si" feature of the "%{crate}" crate.

%files       -n %{name}+si-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sysinfo-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sysinfo-devel %{_description}

This package contains library source intended for building other packages which
use the "sysinfo" feature of the "%{crate}" crate.

%files       -n %{name}+sysinfo-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Apr 25 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 5.1.17-1
- Initial import; Fixes: RHBZ#2277203
## END: Generated by rpmautospec
